# nedcompiler.h File Reference

`#include <map>`
`#include <vector>`
`#include <string>`
`#include "nedelements.h"`

Go to the source code of this file.

## Classes

struct | ltstr
class | NEDFileCache
| Caches NED files already loaded. More...
class | NEDSymbolTable
| For fast lookup of module, channel, etc names. More...
class | NEDImportResolver
| Abstract interface for loading NED imports; to be used with NEDCompiler. More...
class | NEDClassicImportResolver
| Importresolver for NED-I; to be used with NEDCompiler. More...
class | NEDCompiler
| Manages the "middle" part of the compilation process for NED. More...

## Typedefs

typedef std::map< const char *, NEDElement *, ltstr > | NEDMap
typedef std::vector< std::string > | NEDStringVector

## Typedef Documentation

typedef std::map<const char *,NEDElement *,ltstr> NEDMap

typedef std::vector<std::string> NEDStringVector